fTools:Select by location is confusing, especially with an empty selection
Status: Closed

Priority: Low

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15403

Description

I used "Select by location" in the fTools plugin, with the options to use selected features only. The progress bar started the movement left

and right used for an unknown amount of remaining time, so I waited, surprised that my small data set was so hard to select.

Actually, the selection was empty and no calculation was happening, but it took me the longest time to realize it. The problem is twofold:

    -  nothing prevents using an empty selection (even if it cannot be useful), but self.progressBar.setMaximum(len(features)) on line 114 of

doSelectByLocation.py does not have the expected result when features is an empty list as it makes an endlessly moving progress bar 

    -  More globally, the plugin doesn't indicate anything when the computation is finished. I would have expected either closing the window

or at least showing a message indicating the number of selected features. Something like: "%d features have been selected, the existing

selection had %d features, the new selection has %d features" % (nbSelected, nbPrevious, nbEndResult) ))@ at the end of the compute()

function

History

#1 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2013-07-13 10:09 AM - Giovanni Manghi

- Status changed from Open to Closed

- Target version changed from Version 2.0.0 to Future Release - Nice to have

- Resolution set to worksforme

The first issue does not seems to happen (anymore).

About the second suggestion, the number of selected features is shown in the left bottom corner of the main qgis window.

#3 - 2013-07-13 06:55 PM - Leyan Ouyang

- Status changed from Closed to Reopened

The problem still exists in the latest Master build. Clear all selection, start "select by location" tool, check the "use selected feature only" (I agree it does not

make sense, but one can check it by mistake like I did the first time). Then when starting the process no actual computation happens (well, there aren't any

feature to consider) but the progress bar is continuously moving, which is very misleading.

#4 - 2013-07-14 01:31 AM - Giovanni Manghi

- Status changed from Reopened to Feedback
Leyan Ouyang wrote:

The problem still exists in the latest Master build. Clear all selection, start "select by location" tool, check the "use selected feature only" (I agree it

does not make sense, but one can check it by mistake like I did the first time). Then when starting the process no actual computation happens (well,

there aren't any feature to consider) but the progress bar is continuously moving, which is very misleading.

I tested another dataset and still works fine here. If there are no features selected and then the "use selected features only" is checked, then the tool works

as it is expected (at least for me)... using all features to make the selection.

#5 - 2013-09-14 01:22 AM - Leyan Ouyang

- File qgis_select_by_location.mkv added

Sorry, I forgot to provide feedback about this bug. Here is a screencast of what I mean.

#6 - 2013-09-14 09:33 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Priority changed from Normal to Low

- Resolution deleted (worksforme)

Ok, now I see it.

#7 - 2016-03-25 03:51 AM - Alexander Bruy

- Status changed from Open to Closed

Does not happen anymore with Processing. Please reopen if necessary

#8 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

qgis_select_by_location.mkv 336 KB 2013-09-13 Leyan Ouyang
